Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 682696 - media-sound/pulseaudio-12.2-r1: ../tests/volume-test.c:148:F:volume:volume_test:0: Assertion 'mdn <= 253' failed
Summary: media-sound/pulseaudio-12.2-r1: ../tests/volume-test.c:148:F:volume:volume_te...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: PPC64 Linux
: Normal normal with 1 vote (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords: TESTFAILURE
Depends on:
Blocks:
 
Reported: 2019-04-06 17:05 UTC by ernsteiswuerfel
Modified: 2019-09-17 06:49 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log.xz (pulseaudio-12.2-r1:20190406-160428.log.xz,29.09 KB, application/x-xz)
2019-04-06 17:06 UTC, ernsteiswuerfel
Details
test-suite.log (test-suite.log,643 bytes, text/plain)
2019-04-06 17:06 UTC, ernsteiswuerfel
Details
emerge --info (file_682696.txt,6.04 KB, text/plain)
2019-04-06 17:06 UTC, ernsteiswuerfel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ernsteiswuerfel 2019-04-06 17:05:16 UTC
=========================================
   pulseaudio 12.2: src/test-suite.log
=========================================

# TOTAL: 35
# PASS:  34
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: volume-test
=================

Running suite(s): Volume
Attenuation of sample 1 against 32767: -90.3087 dB
Smallest possible attenuation > 0 applied to 32767: 0
max deviation: 1 n=279
0%: Checks: 1, Failures: 1, Errors: 0
/var/tmp/portage/media-sound/pulseaudio-12.2-r1/work/pulseaudio-12.2/src/tests/volume-test.c:148:F:volume:volume_test:0: Assertion 'mdn <= 253' failed
FAIL volume-test (exit status: 1)
Comment 1 ernsteiswuerfel 2019-04-06 17:06:23 UTC
Created attachment 572100 [details]
build.log.xz
Comment 2 ernsteiswuerfel 2019-04-06 17:06:41 UTC
Created attachment 572102 [details]
test-suite.log
Comment 3 ernsteiswuerfel 2019-04-06 17:06:58 UTC
Created attachment 572104 [details]
emerge --info
Comment 4 Rolf Eike Beer 2019-09-14 15:41:24 UTC
same on sparc
Comment 5 Mart Raudsepp gentoo-dev 2019-09-17 06:07:53 UTC
Ignore it for this 12.2 revbump stabilization; 13.0 should fix it (-ffast-math was the problem for debian volume-test tests at least, explicit addition of -ffast-math to CFLAGS was removed upstream)
Comment 6 Larry the Git Cow gentoo-dev 2019-09-17 06:49:54 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ec0eb9940d584dabf3199482f3d46e036c2bde18

commit ec0eb9940d584dabf3199482f3d46e036c2bde18
Author:     Mart Raudsepp <leio@gentoo.org>
AuthorDate: 2019-09-17 06:49:13 +0000
Commit:     Mart Raudsepp <leio@gentoo.org>
CommitDate: 2019-09-17 06:49:25 +0000

    media-sound/pulseaudio: bump to 13.0, migrate neon to CPU_ARM_FLAGS
    
    This release removes explicit addition of -ffast-math to CFLAGS, as PA
    needs to deal with negative infinite for volumes, as the volume-test
    failing with -ffast-math demonstrates.
    
    Closes: https://bugs.gentoo.org/682696
    Closes: https://bugs.gentoo.org/693436
    Bug: https://bugs.gentoo.org/694080
    Package-Manager: Portage-2.3.69, Repoman-2.3.12
    Signed-off-by: Mart Raudsepp <leio@gentoo.org>

 media-sound/pulseaudio/Manifest               |   1 +
 media-sound/pulseaudio/pulseaudio-13.0.ebuild | 360 ++++++++++++++++++++++++++
 2 files changed, 361 insertions(+)